/*
 *  File:		color.h
 *  Function:	header for the color "menu"
 *  Author:		Paul Elseth
 *				Copyright (c) 1991, Paul Elseth
 *
 *	Change History:
 *
 *		12/08/91	PBE		created
 */

#ifndef	__COLOR__
#define	__COLOR__

#ifndef	__EDITOR__
#include "editor.h"
#endif
#ifndef	__WINDOW__
#include <window.h>
#endif

#define	kColorBarWidth	288			/* width of editor's color bar */
#define	kCurColorWidth	40			/* width of current color indicator */

pascal void		DrawColorBar(Rect *infoRect, long infoRefCon, WindowPtr wp);
void			SelectColor(EventRecord *event);
short			MakeColor(short color);
void			UpdateColor(IconData **dataH, short color);

#endif		/* __COLOR__ */
